Description

static terms defined in KindOfUnitTerms are directly used in other classes:

® RegistrationRequiredDatalnserter

¢ RegistrationTermLists

e SpecimenTypeDesignationDTO

e SpecimenTypeDesignationDTORow

This works without problems in these cases, but using static term is discouraged in general.
TODO:
¢ Avoid static terms use static UUIDs instead and load the terms from the persistent storage.

¢ In all situations where terms are used in select lists the terms must be in the same vocabulary, Therefore it would be better to
create the term lists only by loading the vocabulary.

Related issues:
Copied from EDIT - bug #7313: eu.etaxonomy.cdm.datalnserter.RegistrationRequi... Closed

History

#1 - 06/27/2018 02:26 PM - Andreas Kohlbecker

- Copied from bug #7313: eu.etaxonomy.cdm.datalnserter. RegistrationRequiredDatalnserter add all terms to vocabulary added

#2 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#3 - 09/04/2018 04:03 PM - Andreas Kohlbecker
- Priority changed from Highest to Priority14

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/23/2018 01:09 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#5 - 01/30/2019 11:31 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#6 - 02/22/2019 04:28 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Reviewed Next Major Release

03/20/2024 1/1



http://www.tcpdf.org

